Subject: ANNOUNCE: AcctInfo 1.18 Released
From: [email-masked] (Jeremy D. Zawodny)
Date: 9 Jul 1998 14:00:32 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

I've just uploaded the latest version of AcctInfo, a Perl module for
accessing and changing Unix user account information, to my web
site. I've applied for a spot on CPAN, so you can expect to see
releases appear there once that's all taken care of.

Until then, details and downloads are at
<http://www.wcnet.org/~jzawodn/perl/AcctInfo/>.

The latest README is included below, but you'll probably want to visit
the web site to find out more about this module if you've not seen it
before.

As usual, any feedback or volunteers are welcome. There has already
been a mention of coding support for FreeBSD.

--- begin README ---
                       Readme for AcctInfo 1.18

    Accessing and Manipulating Unix Account Information with Perl.

     Copyright (c) 1997-98, Jeremy D. Zawodny <[email-masked]>

Background

    This is the README file for AcctInfo.pm.

    The AcctInfo home page is located at:
      http://www.wcnet.org/~jzawodn/perl/AcctInfo/

    The current version is 1.18. There are probably bugs in the code
    as well as in the documentation. If you find either, I'd
    appreciate a patch or at least a mail message to let me know
    what's wrong.

    AcctInfo as been developed and tested on Solaris 2.5 as well
    as Linux 2.0.* (Red Hat). It may well work on other platforms. If
    you install it on another platform, I'd like to hear about it. If
    you develop patches for that platform, I'd REALLY like to hear
    about it. Send me a note.

Installation

    Installing AcctInfo is an easy process.

      % perl Makefile.PL
      % make
      % make test
      % make install

Documentation

    The documentation is built-in to the AcctInfo.pm module in POD
    format.  You can use any of the pod2* converters to translate it
    to a more readable format. The three most common formats are
    'man', 'html', and 'text'.

    When you ran the 'make install' above, documentation should have
    been installed on your system such that 'man AcctInfo' will spit
    it out.  Of course, you can run your favorite pod converter and
    generate it in alternative formats.

Example Scripts

    The following scripts are included in the examples directory. They are
    provided as examples. What you do with them is your business.

      expired.pl        List all expired accounts.
      list_users.pl     List all accounts and their real names.
      user_detail.pl    Get all the details for one user.
      change_user.pl    Change a user's 'name' (gcos field)

Recent Developments

    Please see the manual to read about the $EXPERIMENTAL and
    $PARANOID flags as well as the Commit() method, *especially* if
    you've used this module in older releases.

    I've added the ability to read/update users' .forward files as
    well as some of the information in /etc/passwd. The /etc/passwd
    stuff is considered *experimental* and WILL NOT WORK on systems
    using shadow passwords. That is the part of the code which is
    currently seeing the majority of my attention, so you can expect
    improvements in that area soon.

Wish List

    If you're wondering what will come next in AcctInfo, see the
    Wishlist file in the distribution directory.

Mailing List

    There is a one-way (announcement) mailing list for AcctInfo. If
    you'd like to be added, just drop me a line. My e-mail address is
    <[email-masked]>.

Other Stuff

    You'll see some other things in this directory tree. There is a
    'tools' directory that I put scripts into that I use in the build
    and/or documentation process.

    There is also an 'old' directory that contains older stuff. I'm
    not sure why you'd need any of it, but it's where I put things for
    a while instead of throwing them out right away.

$Id: README,v 1.7 1998/07/06 03:29:45 jzawodn Exp $

--- end README ---

Jeremy
-- 
Jeremy D. Zawodny                   Web Geek, Perl Hacker, etc.
http://www.wcnet.org/~jzawodn/      [email-masked]

LOAD "LINUX",8,1